classification
Title: Document __format__ method for IPv[46]Address
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: John-Ted, docs@python, eric.smith, miss-islington
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2020-10-17 13:03 by eric.smith, last changed 2020-10-29 23:05 by eric.smith. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23018 merged John-Ted, 2020-10-28 21:00
PR 23032 merged miss-islington, 2020-10-29 22:18
Messages (5)
msg378812 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2020-10-17 13:03
This feature was added in issue 32820, but was never documented.
msg379810 - (view) Author: Teugea Ioan-Teodor (John-Ted) * Date: 2020-10-27 22:56
Hi. I would like to work on the documentation for the IP address format. I am new here so it might take me some time. I think it will have a PR ready in a day or two.
msg379889 - (view) Author: miss-islington (miss-islington) Date: 2020-10-29 22:18
New changeset 3317466061509c83dce257caab3661d52571cab1 by Teugea Ioan-Teodor in branch 'master':
bpo-42061: Document __format__ for IP addresses (GH-23018)
https://github.com/python/cpython/commit/3317466061509c83dce257caab3661d52571cab1
msg379892 - (view) Author: miss-islington (miss-islington) Date: 2020-10-29 22:38
New changeset b626d2218c03127502025ccdf93d555e0487ea95 by Miss Skeleton (bot) in branch '3.9':
bpo-42061: Document __format__ for IP addresses (GH-23018)
https://github.com/python/cpython/commit/b626d2218c03127502025ccdf93d555e0487ea95
msg379898 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2020-10-29 23:05
Thanks for the contribution, @John-Ted!
History
Date User Action Args
2020-10-29 23:05:29eric.smithsetstatus: open -> closed
resolution: fixed
messages: + msg379898

stage: patch review -> resolved
2020-10-29 22:38:19miss-islingtonsetmessages: + msg379892
2020-10-29 22:18:42miss-islingtonsetpull_requests: + pull_request21951
2020-10-29 22:18:08miss-islingtonsetnosy: + miss-islington
messages: + msg379889
2020-10-28 21:00:06John-Tedsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request21933
2020-10-27 22:56:43John-Tedsetnosy: + John-Ted
messages: + msg379810
2020-10-17 13:03:51eric.smithcreate